Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# DirectGuiBase Class Reference

Inheritance diagram for DirectGuiBase:

List of all members.

## Public Member Functions
def | __init__
def | __setitem__
def | addoptions
def | bind
def | cget
def | component
def | components
def | configure
def | createcomponent
def | defineoptions
def | destroy
def | destroycomponent
def | hascomponent
def | initialiseoptions
def | isinitoption
def | options
def | postInitialiseFunc
def | unbind
## Public Attributes
| fInit
| guiId
| postInitialiseFuncList

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def __setitem__ | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

def addoptions | ( |  | self,
|  |  | optionDefs,
|  |  | optionkeywords
| ) |  |

    addoptions(optionDefs) - add option def to option info

def bind | ( |  | self,
|  |  | event,
|  |  | command,
|  |  | extraArgs = `[]`
| ) |  |

    Bind the command (which should expect one arg) to the specified
    event (such as ENTER, EXIT, B1PRESS, B1CLICK, etc.)
    See DirectGuiGlobals for possible events

def cget | ( |  | self,
|  |  | option
| ) |  |

    Get current configuration setting for this option

def component | ( |  | self,
|  |  | name
| ) |  |

def components | ( |  | self | ) |

def configure | ( |  | self,
|  |  | option = `None`,
|  |  | kw
| ) |  |

    configure(option = None)
    Query or configure the megawidget options.

def createcomponent | ( |  | self,
|  |  | componentName,
|  |  | componentAliases,
|  |  | componentGroup,
|  |  | widgetClass,
|  |  | widgetArgs,
|  |  | kw
| ) |  |

    Create a component (during construction or later) for this widget.

def defineoptions | ( |  | self,
|  |  | keywords,
|  |  | optionDefs,
|  |  | dynamicGroups = `()`
| ) |  |

    defineoptions(keywords, optionDefs, dynamicGroups = {})

def destroy | ( |  | self | ) |

Reimplemented in DirectDialog, DirectEntry, DirectEntryScroll, DirectFrame, DirectGuiWidget, DirectScrollBar, DirectScrolledFrame, DirectScrolledList, DirectSlider, and DirectWaitBar.

def destroycomponent | ( |  | self,
|  |  | name
| ) |  |

def hascomponent | ( |  | self,
|  |  | component
| ) |  |

def initialiseoptions | ( |  | self,
|  |  | myClass
| ) |  |

    Call all initialisation functions to initialize widget
    options to default of keyword value

def isinitoption | ( |  | self,
|  |  | option
| ) |  |

    Is this opition one that can only be specified at construction?

def options | ( |  | self | ) |

    Print out a list of available widget options.
    Does not include subcomponent options.

def postInitialiseFunc | ( |  | self | ) |

def unbind | ( |  | self,
|  |  | event
| ) |  |

    Unbind the specified event

## Member Data Documentation

fInit

guiId

Reimplemented in DirectGuiWidget.

postInitialiseFuncList

All Classes Namespaces Functions Variables Enumerations Enumerator Properties